<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/mc_table.php');
mysqli_query($conn,"set names 'utf8'");

function str2pdf($s){
    $s1 = str_replace('’', "'", $s);
    $s1 = str_replace('“', '"', $s1);
    $s1 = str_replace('”', '"', $s1);
    return $s1;
}

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
function AnnoScolasticoL(){//scrive l'anno scolastico attuale
    $anno=gmdate("Y");
    $mese=gmdate("m");
    if ($mese>8)
    {
        $nuovo=$anno+1;
        return ($anno.'/'.$nuovo);
    }
    else
    {
        $vecchio=$anno-1;
        return ($vecchio.'/'.$anno);
    }
}
//___________________________________
$pdf=new PDF_MC_Table();
$pdf->AliasNbPages();

    $sqlb="SELECT * FROM generalinfo";
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestazione"]);
    $city=trim($recb["city"]);
    $ds = $recb["nome_ds"];
    $imgintestazione1="../img/logo_rep.jpg";
    $cl= $_GET["cl"];//id della classe
    $p = $_GET["p"];
    $anno_scolastico = AnnoScolasticoL();
    $id_periodi_didattici = $p;
    
    //recupero tabelle
    $sql0 = "SELECT classi.classe,classi.codice as cod,plessi.nome as plesso FROM classi,plessi WHERE classi.id_plessi=plessi.id AND classi.codice='$cl'";
    
    
    
    $ris0 = mysqli_query($conn,$sql0) or dies($conn);
    $rec1 = mysqli_fetch_array($ris0);
    $clas = substr($rec1["classe"],0,1);//preleva l'anno della classe
    $sql0 = "SELECT descrizione,conclusivo,data_pub FROM periodi_didattici WHERE id_periodi_didattici='$id_periodi_didattici'";
    //$pdf->Cell(0,10,$sql0,0,1,'C');
    $ris0 = mysqli_query($conn,$sql0) or dies($conn);
    $rec2 = mysqli_fetch_array($ris0);
    $periodo = $rec2["descrizione"];
    $conclusivo = $rec2["conclusivo"];
    $data_pub = $rec2["data_pub"];
    $data = date("Y-m-d");
    if($data>$data_pub)$data=$data_pub;
    $classe = "Classe ".$rec1["classe"]." ".$rec1["plesso"];
    $cod = $rec1["cod"];
    
    //recupero dati scheda
    $sqls = "SELECT schede_val_primaria.*, alunni.cognome,alunni.nome FROM schede_val_primaria,alunni WHERE anno_scolastico='$anno_scolastico' AND id_periodi_didattici='$p' AND stato='1' AND cod_classi='$cod' AND schede_val_primaria.cf=alunni.cf  GROUP BY id_schede_val_primaria ORDER by cognome,nome";
    //$pdf->MultiCell(190,10,$sqls,0,'C',0);
    $riss = mysqli_query($conn,$sqls) or dies($conn);
    $num_schede =mysqli_num_rows($riss);
    if($num_schede>0){
        while ($recs = mysqli_fetch_array($riss)){
            $nome = $recs["nome"];
            $cognome = $recs["cognome"];
            if(isset($recs["scelta"])){$scelta = $recs["scelta"];}else{$scelta = 0;}
        if(isset($recs["irc"])){$irc = stripslashes($recs["irc"]);}else{$irc = "";}
        if(isset($recs["giudizio"])){$giudizio = stripslashes($recs["giudizio"]);}else{$giudizio = "";}
        if(isset($recs["comportamento"])){$comportamento = stripslashes($recs["comportamento"]);}else{$comportamento = "";}
        $ammesso = $recs["ammesso"];
        $cf = $recs["cf"];
        $id_schede = $recs["id_schede_val_primaria"];
    //recupero dati tabella val_alunni_primaria
    $sqlv = "SELECT * FROM val_alunni_primaria WHERE id_schede_val_primaria='$id_schede'";
    
    $risv = mysqli_query($conn,$sqlv) or dies($conn);
    while($recv = mysqli_fetch_array($risv)){
        $ob[$recv["id_obiettivi_valutazione_primaria"]]=$recv["livello"];
    }
    //fine recupero dati tabella val_alunniprimaria
    
    
    

    $pdf->AddPage();
    
     // Logo
    
      
    $pdf->Image($imgintestazione1,95,15,20,20);
    $pdf->SetXY(10,40);
    $pdf->WriteHTMLinte($intestazione);
    
        
        // Arial bold 15
        $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    //$pdf->ln(15);
    
    $pdf->SetFont('Arial','B',14);
    $pdf->Ln(10);
    $tit="Anno Scolastico ".$anno_scolastico;
    $pdf->Cell(0,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(0,10,$periodo,0,1,'C');
    $pdf->Ln(10);
    $pdf->SetFont('Arial','B',14);
    $pdf->Cell(0,10,$classe,0,1,'C');
    $decorazione = "../img/decorazione.jpg";
    $pdf->Image($decorazione,75,125,59,7);  
    $pdf->SetY(125);
    $pdf->Ln(20);
    $pdf->SetFont('Arial','B',24);
    $tit = "DOCUMENTO DI VALUTAZIONE";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',16);
    $pdf->Ln(20);
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(0,10,"Alunno/a ",0,1,'C');
    $pdf->SetFont('Arial','B',16);
    $tit = utf8_decode(ucwords(strtolower($cognome))).' '.utf8_decode(ucwords(strtolower($nome)));
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetY(271);
    $txt = "Documento generato dalla piattaforma Schoolcom sulla base dell'O.M. 172  del 4/12/2020";
    $pdf->SetFont('Arial','I',8);
    $pdf->MultiCell(190,4,$txt,0,'C',0);
    //fine prima pagina
    //pagine successive
    $pdf->AddPage();
    
    $sql1 = "SELECT * FROM materie_primaria ORDER BY ordine";
    $ris1 = mysqli_query($conn,$sql1) or dies($conn);
    while ($rec = mysqli_fetch_array($ris1)){
        if ($pdf->GetY()>=250)$pdf->AddPage();
        $h=10;
        $pdf->SetFont('Times','B',14);
        $w = 186.;
        $x=$pdf->GetX();
        $y=$pdf->GetY();
        $pdf->Rect($x,$y,$w,$h);
        $pdf->SetXY($x, $y+2);
        $pdf->Cell($w,5,strtoupper($rec["materia"]),0,1,'C',0);
        $x=$pdf->GetX();
        $y=$pdf->GetY();
        $pdf->SetXY($x, $y+3);
        $sqln = "SELECT * FROM nuclei_valutazione_primaria WHERE materia='$rec[materia]'";
        $risn = mysqli_query($conn,$sqln) or dies($conn);
        $cont0 = 0;
        while($recn = mysqli_fetch_array($risn)){
            $sqlo = "SELECT * FROM obiettivi_valutazione_primaria WHERE id_nuclei_valutazione_primaria='$recn[id_nuclei_valutazione_primaria]' AND id_periodi_didattici='$id_periodi_didattici' AND classe='$clas'";
            $riso = mysqli_query($conn,$sqlo) or dies($conn);
            $cont1 = 0;
            $num = mysqli_num_rows($riso);
            $posY = $pdf->GetY();
            $pdf->SetFont('Times','',12);
            $w = 62.;
            $h = 8;
            
           
            $pdf->SetFont('Times','',10);
            while ($reco = mysqli_fetch_array($riso)){
                $pdf->SetWidths(array(60,80,46));
                $pdf->Row(array(utf8_decode(str2pdf($recn["nucleo"])),utf8_decode(str2pdf($reco["obiettivo"])),$ob[$reco["id_obiettivi_valutazione_primaria"]]));
 
            }
            //$pdf->SetY($posY + 8*$num);
        }
        $pdf->Ln(10);
    }
    //fine discipline
    
    //inizio irc,comportamento, giudizio
    $scelte = array("Religione Cattolica","Attività alternativa alla R. C. ");
    
    if($scelta!='2'){//compila la sezione solo se si avvale di IRC o IMA
        if ($pdf->GetY()>=250)$pdf->AddPage();
        $h=10;
        $pdf->SetFont('Times','B',14);
        $w = 186.;
        $x=$pdf->GetX();
        $y=$pdf->GetY();
        $pdf->Rect($x,$y,$w,$h);
        $pdf->SetXY($x, $y+2);
        $pdf->Cell($w,5,ucwords(utf8_decode($scelte[$scelta])).": ".$irc,0,1,'C',0);
        $pdf->Ln(10);
    }
    if ($pdf->GetY()>=250)$pdf->AddPage();
    $x=$pdf->GetX();
    $y=$pdf->GetY();
    $pdf->Rect($x,$y,$w,$h);
    $pdf->SetXY($x, $y+2);
    $pdf->Cell($w,5,strtoupper("Comportamento").": ".$comportamento,0,1,'C',0);
   
  
    $pdf->Ln(10);
    if ($pdf->GetY()>=250)$pdf->AddPage();
    $x=$pdf->GetX();
    $y=$pdf->GetY();
    $pdf->Rect($x,$y,$w,$h);
    $pdf->SetXY($x, $y+2);
    $pdf->Cell($w,5,strtoupper("Giudizio globale"),0,1,'C',0);
    $x=$pdf->GetX();
    $y=$pdf->GetY();
    $pdf->SetXY($x, $y+3);
    $pdf->SetFont('Times','',10);
    $pdf->SetWidths(array(186));
    $pdf->Row(array(utf8_decode(str2pdf($giudizio))));
    $pdf->Ln(10);
    
    //inizio quarta pagina
    
    
    //periodo conclusivo
    if($conclusivo){
        $tit = "Il Consiglio di classe, visti i risultati dello scrutinio, delibera che l'alunno/a:";
        $pdf->SetFont('Arial','',12);
        $pdf->Multicell(190,10,$tit,0,'L',0);
        $pdf->SetFont('Arial','B',18);
        $tit = utf8_decode(ucwords(strtolower($cognome))).' '.utf8_decode(ucwords(strtolower($nome)));
        $pdf->Cell(190,10,$tit,0,1,'C');
        $pdf->SetFont('Arial','B',12);
        $esito = "risulta ";
        if(!$ammesso) $esito.= "non ";
        $esito.= "ammesso/a alla classe successiva";
        $pdf->Cell(190,10,$esito,0,1,'L');
    }
    // fine periodo conclusivo
    $pdf->Ln(10);
    
    $tit = ucwords(strtoupper($city)).", ".ch_date_format1($data);
    $pdf->SetFont('Arial','',12);
    $pdf->Cell(190,10,$tit,0,1,'L');
    $posX = $pdf->GetX();
    $posY = $pdf->GetY();
    $timbro = "../img/timbro.png";
    $pdf->Image($timbro,$posX+100,$posY,20,20);
    $pdf->SetFont('Arial','B',12);
    $tit = "Il Dirigente Scolastico \n \n ".$ds;
    $pdf->SetX(130);
    $pdf->MultiCell(80,6,$tit,0,'C',0);
    $pdf->SetFont('Arial','',8);
    $pdf->SetX(130);
    $txt="Firma autografa sostituita a mezzo stampa ai sensi dell'art. 3, comma 2, del D.Lgs. 39/93";
    $pdf->MultiCell(60,6,$txt,0,'R',0);
    
    //dettaglio livelli
    $pdf->AddPage();
    $sqll = "SELECT * FROM livelli_valutazione";
    $risl = mysqli_query($conn,$sqll) or dies($conn);
    $x=$pdf->GetX();
    $y=$pdf->GetY();
    $pdf->Rect($x,$y,$w,$h);
    $pdf->SetXY($x, $y+2);
    $w = 186.;
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,5,strtoupper("Definizione dei livelli di apprendimento"),0,1,'C',0);
    $x=$pdf->GetX();
    $y=$pdf->GetY();
    $pdf->SetXY($x, $y+3);
    $pdf->SetFont('Times','',10);
    $pdf->SetWidths(array(66,120));
    while($recl = mysqli_fetch_array($risl)){
        $pdf->Row(array(utf8_decode($recl["livello"]),utf8_decode(str2pdf($recl["descrizione"]))));
    }
    }
    }
    $nomefile = "documenti_valutazione-".$classe.'.pdf';
    $pdf->Output($nomefile,"I");
?>