<?php
$livello="../";
$elenco_auth = array('segreteria');
include($livello."includes/auth.php");
?>
<?php 
    $_SESSION['section']="Presenze ATA";
    include($livello."struct/open.php");
    include($livello."includes/function.php");
    include($livello."includes/formdata.php");
    include($livello."includes/jalfa_pass.php");
    include($livello."includes/ini.php"); 
    include("ini_presenze.php");
    include ($livello."includes/qr/qrlib.php");
?>
<?php 
$PNG_WEB_DIR = dirname(__FILE__).DIRECTORY_SEPARATOR.'qrcode'.DIRECTORY_SEPARATOR;
if (!file_exists($PNG_WEB_DIR))mkdir($PNG_WEB_DIR);
$errorCorrectionLevel = 'L';// oppure  L - smallest, M, Q, H - best
$matrixPointSize = 4;// oppure un valore da 1(min) a 10(max)
?>
<?php 
    include ($livello.'struct/menu_main.php');
?>
<h1><?php echo $_SESSION["section"];?></h1>

<div class="row">
<div class="col-12"> 
<?php 
if($_SERVER["REQUEST_METHOD"]=="POST"){
    $ritardo = $_POST["ritardo"];
    $sql0 = "UPDATE generalinfo set tolleranza_ritardi_ata = '$ritardo'";
    $ris0 = mysqli_query($conn,$sql0) or dies($conn);
    if($ris!=FALSE) echo '<div class="alert alert-success" role="alert">Dati modificati correttamente!</div>';
    
}
?> 
<div class="card">
    <div class="form-title">Tolleranza ritardi in ingresso</div>
    <?php 
        $sql0 = "SELECT tolleranza_ritardi_ata FROM generalinfo";
        $ris0 = mysqli_query($conn,$sql0) or dies($conn);
        $rec = mysqli_fetch_array($ris0);
        $ritardo = $rec["tolleranza_ritardi_ata"];
    ?>
    <div class="card-body">
    <form name="ritardi" action="parametrigenerali.php" method="post">
    	<div class="form-group row" >
    		<label for="ritardo" class="col-sm-4 col-form-label" > Tolleranza ritardi in minuti</label>
    		<div class="col-sm-2">
         		<input id="ritardo" name="ritardo" type="text" value="<?php echo $ritardo;?>">
			</div>
		</div> 
		<div class="form-group row">
        	<div class="col-sm-10">
      			<button type="submit" class="btn btn-primary">Salva le modifiche</button>
    		</div>
  		</div> 
    </form>
    </div>
</div>
<div class="card">
    <div class="form-title">Gestione QRcode</div>
<?php 
if(isset($_GET["action"])&&$_GET["action"]=='new'){
    $tipo = $_GET["tipo"];
    $id = $_GET["id"];
    $today=date("Y-m-d H:i:s");
    //generazione qrcode
    $qrtext = md5($today.$id.$tipo.'|'.$errorCorrectionLevel.'|'.$matrixPointSize);
    $filename = $PNG_WEB_DIR.$qrtext.'.png';
    if($tipo == "in" || $tipo =="out"){
        $qrquery = $_SESSION["top"].'/presenze/firme.php?qrcode='.$qrtext;
        $campo = "qr_".$tipo;
    }
    else{
        $qrquery = $_SESSION["top"].'/presenze/firme_str.php?qrcode='.$qrtext;
        $campo = $tipo;
    }
    QRcode::png($qrquery, $filename, $errorCorrectionLevel, $matrixPointSize, 2);
    //fine generazione qrcode
    $campo_data = "data_".$campo;
    $sql = "UPDATE plessi SET $campo='$qrtext',$campo_data='$today' WHERE id='$id'";
    $ris = mysqli_query($conn,$sql) or dies($conn);
    if($ris!=FALSE) echo '<div class="alert alert-success" role="alert">Dati modificati correttamente!</div>';
}



    $sql = "SELECT * FROM plessi ORDER BY nome";
    $ris = mysqli_query($conn,$sql) or dies($conn);
    echo'<div class="table-responsive">
		<table class="table table-responsive table-hover table-striped table-bordered">
            <thead>
               <tr><th>Plesso</th><th>QRcode ingresso</th><th>Qrcode uscita</th><th>QR inizio <br>recupero/straordinario</th><th>QR fine <br>recupero/straordinario</th></tr></thead><tbody>';
    while($rec = mysqli_fetch_array($ris)){
        echo '<tr><td>'.$rec["nome"].'</td><td style="text-align:center">';
        if ($rec["qr_in"]!='')echo '<img src="qrcode/'.$rec["qr_in"].'.png"><br>
            Generato il '.formdata($rec["data_qr_in"]).'<br>
            <a href="stampaqrcode.php?qr='.$rec["qr_in"].'">Stampa</a><br>';
        echo '<a href="parametrigenerali.php?action=new&amp;tipo=in&amp;id='.$rec["id"].'" onClick="return confirm('."'Sei sicuro di voler generare un nuovo QRcode?'".');">Genera un nuovo QRcode</a></td><td style="text-align:center">';
        if ($rec["qr_out"]!='')echo '<img src="qrcode/'.$rec["qr_out"].'.png"><br>
            Generato il '.formdata($rec["data_qr_out"]).'<br>
            <a href="stampaqrcode.php?qr='.$rec["qr_out"].'">Stampa</a><br>';
        echo '<a href="parametrigenerali.php?action=new&amp;tipo=out&amp;id='.$rec["id"].'" onClick="return confirm('."'Sei sicuro di voler generare un nuovo QRcode?'".');">Genera un nuovo QRcode</a></td>
        <td style="text-align:center">';
        if ($rec["str_in"]!='')echo '<img src="qrcode/'.$rec["str_in"].'.png"><br>
            Generato il '.formdata($rec["data_str_in"]).'<br>
            <a href="stampaqrcode.php?qr='.$rec["str_in"].'">Stampa</a><br>';
        echo '<a href="parametrigenerali.php?action=new&amp;tipo=str_in&amp;id='.$rec["id"].'" onClick="return confirm('."'Sei sicuro di voler generare un nuovo QRcode?'".');">Genera un nuovo QRcode</a></td><td style="text-align:center">';
        if ($rec["str_out"]!='')echo '<img src="qrcode/'.$rec["str_out"].'.png"><br>
            Generato il '.formdata($rec["data_str_out"]).'<br>
            <a href="stampaqrcode.php?qr='.$rec["str_out"].'">Stampa</a><br>';
        echo '<a href="parametrigenerali.php?action=new&amp;tipo=str_out&amp;id='.$rec["id"].'" onClick="return confirm('."'Sei sicuro di voler generare un nuovo QRcode?'".');">Genera un nuovo QRcode</a></td>
</tr>';
    }
    echo '</tbody>
     </table>
  </div>
</div>';
?>  
</div>
</div>
<?php include($livello."struct/close.php"); ?>